Name:          wt2db
Version:       1.0
Release:       1mamba
Summary:       A utility to convert text files in WikiText format into DocBook
Group:         Applications/Publishing
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://tldp.org/
Source:        http://tldp.org/downloads/wt2db-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-HTML-Parser
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
A utility to convert text files in WikiText format into DocBook.

%prep
%setup -q

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/wt2db
%{perl_vendorlib}/Wt2Db.pm
%{_mandir}/man1/wt2db.1*
%doc COPYING CREDITS

%changelog
* Mon May 26 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-1mamba
- package created using the webbuild interface
